import ts from 'typescript';
import { TraverseAndProcessFileHandler } from './types.js';
export declare function isJSOrTSFilepath(filepath: string): boolean;
export declare function isJSOrTSTestFilepath(filepath: string): boolean;
export declare function traverseAndProcessFilesInFolderpath(folderpath: string, handleFile: TraverseAndProcessFileHandler): Promise<void>;
export declare function isFileOrFolder(filepath: string): Promise<"file" | "folder" | undefined>;
export declare function isRelativeImportText(text: string): boolean;
export declare function getImportText(node: ts.StringLiteral, sourceFile: ts.SourceFile): string;
export declare function replaceNodeText(text: string, sourceFile: ts.SourceFile, node: ts.Node, replacementText: string, offset: number): {
    modifiedText: string;
    newOffset: number;
};
export declare function isRelativeImportOrExportNodeWithSpecifier(sourceFile: ts.SourceFile, node: ts.Node): node is ts.ImportDeclaration | ts.ExportDeclaration;
export declare function countCharacters(text: string, from: number, to: number, exp: string): {
    totalCount: number;
    numCharsToFirstOccurrence: number;
};
